Getting started with the Nivo Slider WordPress Plugin

Requirements

Before we go ahead and install the plugin you need to make sure your WordPress install will be able to handle the plugin. You need to have at least the following running on your server:

  • WordPress 3.5
  • PHP 5.2.4
  • PHP GD (usually installed by default)

If you don’t have these or you don’t know what these are, it’s worth getting in touch with your hosting provider just to check.

Installation

  1. Log in to your WordPress admin backend.
  2. Go to the Plugins > Add New page.
  3. Click on the Upload tab.
  4. On this page click the Choose File button choose the Nivo Slider WordPress Plugin zip file that you previously downloaded.
  5. Install and activate the plugin.
  6. You should now see a Nivo Slider section in your main menu where you can create and manage your sliders.

Usage

Using the plugin is fairly straightforward. But just in case here is a short video demonstration on how to install and use the plugin.